Request a Dedicated account for a currency+country pair.
curl --request POST \
--url https://{environment}.ebury.io/account-details/request \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"currency": "<string>",
"country": "<string>"
}
'import requests
url = "https://{environment}.ebury.io/account-details/request"
payload = {
"currency": "<string>",
"country": "<string>"
}
headers = {
"Authorization": "<authorization>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: '<authorization>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({currency: '<string>', country: '<string>'})
};
fetch('https://{environment}.ebury.io/account-details/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}{
"code": "<string>",
"details": "<string>",
"message": "<string>"
}Getting Account Details
Request a Dedicated account for a currency+country pair.
Send a request for an Account creation to the Ebury dealers, for a specific currency+country pair. The request can only be sent if the capability is enabled for provided currency and country. Requests are cached to avoid multiple requests for the same account at once.
POST
/
account-details
/
request
Request a Dedicated account for a currency+country pair.
Authorizations
An API Key.
Headers
The access token
Query Parameters
ID of the client that owns the account
Minimum string length:
1Body
application/json
Request Payload
Response
Account requested successfully.